Bug 1289125 - (CVE-2015-8550, xsa155) CVE-2015-8550 xsa155 xen: paravirtualized drivers incautious about shared memory contents (XSA-155)
CVE-2015-8550 xsa155 xen: paravirtualized drivers incautious about shared mem...
Status: CLOSED WONTFIX
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
impact=important,public=20151217,repo...
: Security
Depends On: 1292439
Blocks: 1290367
  Show dependency treegraph
 
Reported: 2015-12-07 08:47 EST by Martin Prpič
Modified: 2018-03-07 05:47 EST (History)
19 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-03-07 05:47:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Prpič 2015-12-07 08:47:17 EST
ISSUE DESCRIPTION
=================

The compiler can emit optimizations in the PV backend drivers which
can lead to double fetch vulnerabilities. Specifically the shared
memory between the frontend and backend can be fetched twice (during
which time the frontend can alter the contents) possibly leading to
arbitrary code execution in backend.

IMPACT
======

Malicious guest administrators can cause denial of service.  If driver
domains are not in use, the impact can be a host crash, or privilege escalation.

VULNERABLE SYSTEMS
==================

Systems running PV or HVM guests are vulnerable.

ARM and x86 systems are vulnerable.

All OSes providing PV backends are susceptible, this includes
Linux and NetBSD. By default the Linux distributions compile kernels
with optimizations.

External References:

http://xenbits.xen.org/xsa/advisory-155.html

Acknowledgements:

Red Hat would like to thank the Xen project for reporting this issue. Upstream acknowledges Felix Wilhelm (ERNW Research, KIT / Operating Systems Group) as the original reporter.
Comment 1 Martin Prpič 2015-12-17 08:15:57 EST
Created xen tracking bugs for this issue:

Affects: fedora-all [bug 1292439]
Comment 2 Michael Young 2015-12-17 15:20:25 EST
Note that xsa155 includes some patches that apply to the kernel and qemu packages as well as some to xen.
Comment 3 Fedora Update System 2015-12-22 17:00:33 EST
xen-4.5.2-6.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2016-01-02 18:20:44 EST
xen-4.5.2-6.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.